%global debug_package %{nil}

Name:       ndh
Version:	0.0.7
Release:	1%{?dist}
Summary:	N Dimensional High Energy Physics tool
Group:		System Environment/Libraries
License:	LGPL v3+
Source0:    %{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake, doxygen, yaml-cpp-devel
BuildRequires:  root, root-geom, root-physics
Requires:       root

%description
N Dimensional High Energy Physics tool

%package devel
Summary:  Development files and static library for the ndh
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}, pkgconfig

%description devel
This package contains ndh related development libraries and header files.

%package doc
Summary:  Documentation
Group:    Documentation
Requires: %{name} = %{version}-%{release}, pkgconfig

%description doc
This package contains ndh documentation.

%prep
%setup -q

%build
mkdir build
cd build
cmake ../ -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release -DBUILD_DOCUMENTATION=on
make %{?_smp_mflags}
cd ../

%install
rm -rf %{buildroot}
cd build
make install DESTDIR=%{buildroot}
cd ../
mkdir -p %{buildroot}%{_datadir}/%{name}/macros/
cp -a macros %{buildroot}%{_datadir}/%{name}/macros/

%files
%{_bindir}/*
%{_libdir}/*.so
%{_libdir}/*.rootmap
%{_libdir}/*.pcm
%{_datadir}/%{name}/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*

%files doc
%doc /usr/share/doc/%{name}/

%changelog
